[SOLVED] can't start LMDE in gnome mode

Post your update and upgrade related errors here
Forum rules
Before you post please read this

[SOLVED] can't start LMDE in gnome mode

Postby suicidejack on Fri Dec 02, 2011 8:30 pm

This is a problem that I have had for about 2-3 weeks now that I can't solve (I think it was due to the gdm3 update but I am not positive - may have started due to the kernal update to 2.6.38).

Anyways, I get a very generic error when I try to log in to the normal gnome mode - "Oh no! Something has gone wrong. A problem has occurred and the system can't recover. Please log out and try again." Needless to say, I have done that many times and I keep getting the same error message whenever I have tried to log in in the normal gnome mode. However, the gnome failover mode works still which makes me think this may be a video card or gdm3 issue. I also do not have the Linux Mint menu anymore which I would like to have back.

I have tried looking at different log files but I don't know which ones will help me solve this issue. I have the latest updates. I have looked at my .xsession-errors file and the major repeating issue there seems to be that "Gtk-Message: Failed to load module "pk-gtk-module". I searched and found that installing package "PackageKit-gtk3-module" would solve this issue but it has not. Any help here would be greatly appreciated.

System info:
Dell Studio XPS 9000
Intel i7
Nvidia GeForce 5600

If you need any log file output or more information please ask and I will gladly post that info.
Last edited by suicidejack on Tue Jan 17, 2012 10:47 pm, edited 1 time in total.
suicidejack
Level 1
Level 1
 
Posts: 7
Joined: Mon Nov 28, 2011 7:15 pm

Linux Mint is funded by ads and donations.
 

Re: can't start LMDE in gnome mode

Postby zerozero on Fri Dec 02, 2011 8:47 pm

just to be absolutely sure can you open a terminal and post back the following results
Code: Select all
inxi -F

Code: Select all
inxi -r
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: can't start LMDE in gnome mode

Postby suicidejack on Fri Dec 02, 2011 10:02 pm

inxi -F
System: Host beowulf Kernel 2.6.38-2-amd64 x86_64 (64 bit) Distro Linux Mint Debian Edition
CPU: Quad core Intel Core i7 920 (-HT-MCP-) cache 8192 KB flags (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips 21279.3
Clock Speeds: (1) 1600.00 MHz (2) 1600.00 MHz (3) 1600.00 MHz (4) 1600.00 MHz (5) 1600.00 MHz (6) 1600.00 MHz (7) 1600.00 MHz (8) 1600.00 MHz
Graphics: Card nVidia GT200 [GeForce GTX 260] X.Org 1.10.2.902 Res: 1920x1080@50.0hz
GLX Renderer GeForce GTX 260/PCI/SSE2 GLX Version 3.3.0 NVIDIA 275.36 Direct Rendering Yes
Audio: Card Creative Labs X-Fi Titanium series [EMU20k2] driver SB-XFi BusID: 08:00.0
Sound: Advanced Linux Sound Architecture Version 1.0.23
Network: Card-1 Realtek RTL8111/8168B PCI Express Gigabit Ethernet controller driver r8169 v: 2.3LK-NAPI at port d800 BusID: 05:00.0
Card-2 Atheros AR928X Wireless Network Adapter (PCI-Express) driver ath9k BusID: 02:00.0
Disks: HDD Total Size: 1002.2GB (72.9% used) 1: /dev/sda SAMSUNG_HD103UJ 1000.2GB
2: USB /dev/sdf iPod 2.0GB
Partition: ID:/ size: 81G used: 31G (41%) fs: ext4
Info: Processes 191 Uptime 2:04 Memory 615.7/7999.4MB Runlevel 2 Client Shell inxi 1.4.23


inxi -r
Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.linuxmint.com/ debian main upstream import
deb-src http://packages.linuxmint.com/ debian main upstream import #Added by software-properties
deb http://ftp.debian.org/debian testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free
Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
deb http://dl.google.com/linux/chrome/deb/ stable main
Active apt sources in file: /etc/apt/sources.list.d/playonlinux.list
deb http://deb.playonlinux.com/ squeeze main
suicidejack
Level 1
Level 1
 
Posts: 7
Joined: Mon Nov 28, 2011 7:15 pm

Re: can't start LMDE in gnome mode

Postby zerozero on Fri Dec 02, 2011 10:22 pm

ok, you are following testing, so you should by now have gnome3 (gnome-shell) installed;
a few questions, if you don't mind:
- why using the 38.2 kernel? choice? there's an issue with newer kernels?
- do you use compiz? is it set to auto-start?
- are you sure your graphic card drivers are loading correctly?
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: can't start LMDE in gnome mode

Postby Oscar799 on Sat Dec 03, 2011 12:53 pm

Moved here from the main forum
Image
"Don't fix it if it ain't broken,don't break it if you can't fix it" Husse
Registered Linux User #511789
User avatar
Oscar799
Level 18
Level 18
 
Posts: 8873
Joined: Tue Aug 11, 2009 9:21 am
Location: United Kingdom

Re: can't start LMDE in gnome mode

Postby suicidejack on Sat Dec 03, 2011 1:38 pm

Thanks for the responses so far zerozero. Here are my answers:
-I'm using the 2.6.38 kernel since that is the latest one that my system has been updated to. I would have no problems using a later kernel version.
-I do use compiz and it is set to autostart. I use Emerald as my theme manager.
-I'm fairly sure my graphics drivers are loading correctly. Is there a way to check this?
suicidejack
Level 1
Level 1
 
Posts: 7
Joined: Mon Nov 28, 2011 7:15 pm

Re: can't start LMDE in gnome mode

Postby xircon on Sat Dec 03, 2011 5:20 pm

Compiz is probably your problem, stop it running automatically and you should be able to log in. Test by creating a new user and log in to gnome as that user.

Think it is in /home/youruser/.config/autostart, just rename the compiz shortcut.
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
User avatar
xircon
Level 5
Level 5
 
Posts: 775
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: can't start LMDE in gnome mode

Postby zerozero on Sat Dec 03, 2011 8:26 pm

xircon should be right about the compiz issue and also about the fix (ehh he knows more about compiz than i do :D )

after you get that solved there's another one that needs addressing (if you don't mind):
- tracking testing (as you are) you should by now have the 3.1 kernel, so there's something going on there; past back please the output of
Code: Select all
sudo apt-get update && sudo apt-get dist-upgrade

tks
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6484
Joined: Tue Jul 07, 2009 2:29 pm

Re: can't start LMDE in gnome mode

Postby suicidejack on Mon Dec 05, 2011 12:04 am

So this gets more interesting...

I did what xircon said and removed compiz and fusion-icon from my /home/username/.config/autostart/ directory and restarted my computer. I was able to log in to the normal gnome mode then.

I then updated my system like zerozero suggested (output is below) and then restarted my computer. After that I only get a text based log-in. I have restarted my computer several times and this keeps happening. Any advice here?


matt@beowulf:~$ sudo apt-get update && sudo apt-get dist-upgrade
[sudo] password for matt:
Ign http://dl.google.com stable InRelease
Get:1 http://security.debian.org testing/updates InRelease [87.8 kB]
Get:2 http://dl.google.com stable Release.gpg [198 B]
Ign http://packages.linuxmint.com debian InRelease
Get:3 http://dl.google.com stable Release [1,347 B]
Get:4 http://packages.linuxmint.com debian Release.gpg [198 B]
Get:5 http://ftp.debian.org testing InRelease [156 kB]
Get:6 http://packages.linuxmint.com debian Release [12.1 kB]
Get:7 http://dl.google.com stable/main amd64 Packages [1,234 B]
Ign http://dl.google.com stable/main TranslationIndex
Ign http://www.debian-multimedia.org testing InRelease
Get:8 http://packages.linuxmint.com debian/main Sources [10.0 kB]
Get:9 http://security.debian.org testing/updates/main amd64 Packages [14 B]
Get:10 http://www.debian-multimedia.org testing Release.gpg [198 B]
Ign http://deb.playonlinux.com squeeze InRelease
Get:11 http://security.debian.org testing/updates/contrib amd64 Packages [14 B]
Get:12 http://security.debian.org testing/updates/non-free amd64 Packages [14 B]
Ign http://security.debian.org testing/updates/contrib TranslationIndex
Ign http://security.debian.org testing/updates/main TranslationIndex
Ign http://security.debian.org testing/updates/non-free TranslationIndex
Get:13 http://packages.linuxmint.com debian/upstream Sources [773 B]
Get:14 http://packages.linuxmint.com debian/import Sources [2,807 B]
Get:15 http://packages.linuxmint.com debian/main amd64 Packages [9,892 B]
Get:16 http://www.debian-multimedia.org testing Release [29.4 kB]
Get:17 http://packages.linuxmint.com debian/upstream amd64 Packages [5,192 B]
Get:18 http://packages.linuxmint.com debian/import amd64 Packages [19.3 kB]
Hit http://deb.playonlinux.com squeeze Release.gpg
Ign http://packages.linuxmint.com debian/import TranslationIndex
Ign http://packages.linuxmint.com debian/main TranslationIndex
Ign http://packages.linuxmint.com debian/upstream TranslationIndex
Ign http://dl.google.com stable/main Translation-en_US
Ign http://dl.google.com stable/main Translation-en
Hit http://deb.playonlinux.com squeeze Release
Hit http://www.debian-multimedia.org testing/main amd64 Packages/DiffIndex
Hit http://deb.playonlinux.com squeeze/main amd64 Packages
Hit http://www.debian-multimedia.org testing/non-free amd64 Packages/DiffIndex
Ign http://www.debian-multimedia.org testing/main TranslationIndex
Ign http://www.debian-multimedia.org testing/non-free TranslationIndex
Ign http://deb.playonlinux.com squeeze/main TranslationIndex
Ign http://security.debian.org testing/updates/contrib Translation-en_US
Ign http://security.debian.org testing/updates/contrib Translation-en
Ign http://security.debian.org testing/updates/main Translation-en_US
Ign http://security.debian.org testing/updates/main Translation-en
Ign http://security.debian.org testing/updates/non-free Translation-en_US
Ign http://security.debian.org testing/updates/non-free Translation-en
Get:19 http://ftp.debian.org testing/main amd64 Packages/DiffIndex [2,038 B]
Get:20 http://ftp.debian.org testing/contrib amd64 Packages/DiffIndex [2,023 B]
Hit http://ftp.debian.org testing/non-free amd64 Packages/DiffIndex
Ign http://ftp.debian.org testing/contrib TranslationIndex
Get:21 http://ftp.debian.org testing/main TranslationIndex [2,045 B]
Ign http://ftp.debian.org testing/non-free TranslationIndex
Get:22 http://ftp.debian.org testing/main amd64 2011-12-04-0213.20.pdiff [29.7 kB]
Ign http://www.debian-multimedia.org testing/main Translation-en_US
Get:23 http://ftp.debian.org testing/contrib amd64 2011-12-04-0213.20.pdiff [1,284 B]
Get:24 http://ftp.debian.org testing/main amd64 2011-12-04-0213.20.pdiff [29.7 kB]
Ign http://www.debian-multimedia.org testing/main Translation-en
Ign http://www.debian-multimedia.org testing/non-free Translation-en_US
Ign http://packages.linuxmint.com debian/import Translation-en_US
Ign http://packages.linuxmint.com debian/import Translation-en
Ign http://packages.linuxmint.com debian/main Translation-en_US
Ign http://www.debian-multimedia.org testing/non-free Translation-en
Ign http://deb.playonlinux.com squeeze/main Translation-en_US
Ign http://packages.linuxmint.com debian/main Translation-en
Ign http://packages.linuxmint.com debian/upstream Translation-en_US
Ign http://deb.playonlinux.com squeeze/main Translation-en
Ign http://packages.linuxmint.com debian/upstream Translation-en
Get:25 http://ftp.debian.org testing/contrib amd64 2011-12-04-0213.20.pdiff [1,284 B]
Get:26 http://ftp.debian.org testing/main amd64 2011-12-04-1415.31.pdiff [436 B]
Get:27 http://ftp.debian.org testing/main amd64 2011-12-04-1415.31.pdiff [436 B]
Get:28 http://ftp.debian.org testing/contrib amd64 2011-12-04-1415.31.pdiff [26 B]
Ign http://ftp.debian.org testing/contrib Translation-en_US
Ign http://ftp.debian.org testing/contrib Translation-en
Ign http://ftp.debian.org testing/non-free Translation-en_US
Ign http://ftp.debian.org testing/non-free Translation-en
Get:29 http://ftp.debian.org testing/contrib amd64 2011-12-04-1415.31.pdiff [26 B]
Fetched 374 kB in 4s (91.2 kB/s)
Reading package lists... Done
[sudo] password for matt:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
libtracker-sparql-0.12-0 linux-headers-3.1.0-1-amd64
linux-headers-3.1.0-1-common linux-headers-amd64 linux-image-3.1.0-1-amd64
linux-image-amd64 linux-kbuild-3.1
The following packages have been kept back:
xserver-xorg xserver-xorg-core xserver-xorg-input-evdev
xserver-xorg-input-synaptics xserver-xorg-input-wacom xserver-xorg-video-apm
xserver-xorg-video-ark xserver-xorg-video-ati xserver-xorg-video-chips
xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-i128
xserver-xorg-video-i740 xserver-xorg-video-intel xserver-xorg-video-mach64
xserver-xorg-video-mga xserver-xorg-video-neomagic
xserver-xorg-video-nouveau xserver-xorg-video-openchrome
xserver-xorg-video-r128 xserver-xorg-video-radeon
xserver-xorg-video-rendition xserver-xorg-video-s3
xserver-xorg-video-s3virge xserver-xorg-video-savage
xserver-xorg-video-siliconmotion xserver-xorg-video-sis
xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
xserver-xorg-video-tseng xserver-xorg-video-vesa xserver-xorg-video-vmware
xserver-xorg-video-voodoo
The following packages will be upgraded:
brasero brasero-common gir1.2-totem-1.0 grilo-plugins-0.1 iproute
libbrasero-media3-1 libtotem0 linux-base linux-headers-2.6-amd64
linux-image-2.6-amd64 linux-libc-dev mobile-broadband-provider-info
nvidia-settings nvidia-xconfig totem totem-common totem-mozilla
totem-plugins
18 upgraded, 7 newly installed, 0 to remove and 34 not upgraded.
Need to get 50.6 MB of archives.
After this operation, 122 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://ftp.debian.org/debian/ testing/main linux-base all 3.4 [34.2 kB]
Get:2 http://ftp.debian.org/debian/ testing/main linux-image-3.1.0-1-amd64 amd64 3.1.1-1 [31.9 MB]
Get:3 http://ftp.debian.org/debian/ testing/contrib nvidia-settings amd64 290.10-1 [860 kB]
Get:4 http://ftp.debian.org/debian/ testing/contrib nvidia-xconfig amd64 290.10-1 [84.0 kB]
Get:5 http://ftp.debian.org/debian/ testing/main iproute amd64 20111117-1 [451 kB]
Get:6 http://ftp.debian.org/debian/ testing/main brasero-common all 3.2.0-3 [3,128 kB]
Get:7 http://ftp.debian.org/debian/ testing/main brasero amd64 3.2.0-3 [704 kB]
Get:8 http://ftp.debian.org/debian/ testing/main libbrasero-media3-1 amd64 3.2.0-3 [983 kB]
Get:9 http://ftp.debian.org/debian/ testing/main libtracker-sparql-0.12-0 amd64 0.12.7-2 [599 kB]
Get:10 http://ftp.debian.org/debian/ testing/main totem-mozilla amd64 3.0.1-4 [317 kB]
Get:11 http://ftp.debian.org/debian/ testing/main libtotem0 amd64 3.0.1-4 [366 kB]
Get:12 http://ftp.debian.org/debian/ testing/main totem-plugins amd64 3.0.1-4 [414 kB]
Get:13 http://ftp.debian.org/debian/ testing/main totem amd64 3.0.1-4 [601 kB]
Get:14 http://ftp.debian.org/debian/ testing/main totem-common all 3.0.1-4 [3,260 kB]
Get:15 http://ftp.debian.org/debian/ testing/main gir1.2-totem-1.0 amd64 3.0.1-4 [176 kB]
Get:16 http://ftp.debian.org/debian/ testing/main grilo-plugins-0.1 amd64 0.1.17-2 [218 kB]
Get:17 http://ftp.debian.org/debian/ testing/main linux-headers-3.1.0-1-common amd64 3.1.1-1 [4,594 kB]
Get:18 http://ftp.debian.org/debian/ testing/main linux-kbuild-3.1 amd64 3.1.1-2 [236 kB]
Get:19 http://ftp.debian.org/debian/ testing/main linux-headers-3.1.0-1-amd64 amd64 3.1.1-1 [680 kB]
Get:20 http://ftp.debian.org/debian/ testing/main linux-headers-amd64 amd64 3.1+41 [3,778 B]
Get:21 http://ftp.debian.org/debian/ testing/main linux-headers-2.6-amd64 amd64 3.1+41 [3,766 B]
Get:22 http://ftp.debian.org/debian/ testing/main linux-image-amd64 amd64 3.1+41 [4,936 B]
Get:23 http://ftp.debian.org/debian/ testing/main linux-image-2.6-amd64 amd64 3.1+41 [4,832 B]
Get:24 http://ftp.debian.org/debian/ testing/main linux-libc-dev amd64 3.1.1-1 [934 kB]
Get:25 http://ftp.debian.org/debian/ testing/main mobile-broadband-provider-info all 20111113-1 [48.1 kB]
Fetched 50.6 MB in 48s (1,055 kB/s)
Preconfiguring packages ...
(Reading database ... 199683 files and directories currently installed.)
Preparing to replace linux-base 3.3 (using .../linux-base_3.4_all.deb) ...
Unpacking replacement linux-base ...
Selecting previously unselected package linux-image-3.1.0-1-amd64.
Unpacking linux-image-3.1.0-1-amd64 (from .../linux-image-3.1.0-1-amd64_3.1.1-1_amd64.deb) ...
Preparing to replace nvidia-settings 280.13-1 (using .../nvidia-settings_290.10-1_amd64.deb) ...
Unpacking replacement nvidia-settings ...
Preparing to replace nvidia-xconfig 280.13-1 (using .../nvidia-xconfig_290.10-1_amd64.deb) ...
Unpacking replacement nvidia-xconfig ...
Preparing to replace iproute 20110629-1 (using .../iproute_20111117-1_amd64.deb) ...
Unpacking replacement iproute ...
Preparing to replace brasero-common 3.0.0-4 (using .../brasero-common_3.2.0-3_all.deb) ...
Unpacking replacement brasero-common ...
Preparing to replace brasero 3.0.0-4 (using .../brasero_3.2.0-3_amd64.deb) ...
Unpacking replacement brasero ...
Preparing to replace libbrasero-media3-1 3.0.0-4 (using .../libbrasero-media3-1_3.2.0-3_amd64.deb) ...
Unpacking replacement libbrasero-media3-1 ...
Selecting previously unselected package libtracker-sparql-0.12-0.
Unpacking libtracker-sparql-0.12-0 (from .../libtracker-sparql-0.12-0_0.12.7-2_amd64.deb) ...
Preparing to replace totem-mozilla 3.0.1-3 (using .../totem-mozilla_3.0.1-4_amd64.deb) ...
Unpacking replacement totem-mozilla ...
Preparing to replace libtotem0 3.0.1-3 (using .../libtotem0_3.0.1-4_amd64.deb) ...
Unpacking replacement libtotem0 ...
Preparing to replace totem-plugins 3.0.1-3 (using .../totem-plugins_3.0.1-4_amd64.deb) ...
Unpacking replacement totem-plugins ...
Preparing to replace totem 3.0.1-3 (using .../totem_3.0.1-4_amd64.deb) ...
Unpacking replacement totem ...
Preparing to replace totem-common 3.0.1-3 (using .../totem-common_3.0.1-4_all.deb) ...
Unpacking replacement totem-common ...
Preparing to replace gir1.2-totem-1.0 3.0.1-3 (using .../gir1.2-totem-1.0_3.0.1-4_amd64.deb) ...
Unpacking replacement gir1.2-totem-1.0 ...
Preparing to replace grilo-plugins-0.1 0.1.17-1 (using .../grilo-plugins-0.1_0.1.17-2_amd64.deb) ...
Unpacking replacement grilo-plugins-0.1 ...
Selecting previously unselected package linux-headers-3.1.0-1-common.
Unpacking linux-headers-3.1.0-1-common (from .../linux-headers-3.1.0-1-common_3.1.1-1_amd64.deb) ...
Selecting previously unselected package linux-kbuild-3.1.
Unpacking linux-kbuild-3.1 (from .../linux-kbuild-3.1_3.1.1-2_amd64.deb) ...
Selecting previously unselected package linux-headers-3.1.0-1-amd64.
Unpacking linux-headers-3.1.0-1-amd64 (from .../linux-headers-3.1.0-1-amd64_3.1.1-1_amd64.deb) ...
Selecting previously unselected package linux-headers-amd64.
Unpacking linux-headers-amd64 (from .../linux-headers-amd64_3.1+41_amd64.deb) ...
Preparing to replace linux-headers-2.6-amd64 2.6.38+34 (using .../linux-headers-2.6-amd64_3.1+41_amd64.deb) ...
Unpacking replacement linux-headers-2.6-amd64 ...
Selecting previously unselected package linux-image-amd64.
Unpacking linux-image-amd64 (from .../linux-image-amd64_3.1+41_amd64.deb) ...
Preparing to replace linux-image-2.6-amd64 2.6.38+34 (using .../linux-image-2.6-amd64_3.1+41_amd64.deb) ...
Unpacking replacement linux-image-2.6-amd64 ...
Preparing to replace linux-libc-dev 3.0.0-3 (using .../linux-libc-dev_3.1.1-1_amd64.deb) ...
Unpacking replacement linux-libc-dev ...
Preparing to replace mobile-broadband-provider-info 20110806-1 (using .../mobile-broadband-provider-info_20111113-1_all.deb) ...
Unpacking replacement mobile-broadband-provider-info ...
Processing triggers for man-db ...
Processing triggers for menu ...
Processing triggers for gnome-menus ...
Processing triggers for desktop-file-utils ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for shared-mime-info ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Unknown media type in type 'interface/x-winamp-skin'
Processing triggers for libglib2.0-0 ...
/usr/share/glib-2.0/schemas/org.gnome.setttings-daemon.gtk-modules-packagekit.gschema.xml: Error on line 3 char 1: <schema id='org.gnome.settings-daemon'> already specified. This entire file has been ignored.
Setting up linux-base (3.4) ...
Setting up linux-image-3.1.0-1-amd64 (3.1.1-1) ...
Running depmod.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.1.0-1-amd64 /boot/vmlinuz-3.1.0-1-amd64
dkms.conf: Error! No 'BUILT_MODULE_NAME' directive specified for record #0.
Error! Bad conf file.
File:
does not represent a valid dkms.conf file.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.1.0-1-amd64 /boot/vmlinuz-3.1.0-1-amd64
update-initramfs: Generating /boot/initrd.img-3.1.0-1-amd64
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.1.0-1-amd64 /boot/vmlinuz-3.1.0-1-amd64
run-parts: executing /etc/kernel/postinst.d/zz-extlinux 3.1.0-1-amd64 /boot/vmlinuz-3.1.0-1-amd64
P: Checking for EXTLINUX directory... found.
P: Writing config for /boot/vmlinuz-3.1.0-1-amd64...
P: Writing config for /boot/vmlinuz-2.6.38-2-amd64...
P: Writing config for /boot/vmlinuz-2.6.32-5-amd64...
P: Updating /boot/extlinux/linux.cfg...
P: Writing config for Windows 7 (loader) on /dev/sda2...
P: Installing debian theme... done.
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.1.0-1-amd64 /boot/vmlinuz-3.1.0-1-amd64
Generating grub.cfg ...
Found background image: linuxmint.png
Found Debian background: linuxmint.png
Found linux image: /boot/vmlinuz-3.1.0-1-amd64
Found initrd image: /boot/initrd.img-3.1.0-1-amd64
Found linux image: /boot/vmlinuz-2.6.38-2-amd64
Found initrd image: /boot/initrd.img-2.6.38-2-amd64
Found linux image: /boot/vmlinuz-2.6.32-5-amd64
Found initrd image: /boot/initrd.img-2.6.32-5-amd64
Found memtest86+ image: /boot/memtest86+.bin
Found memtest86+ multiboot image: /boot/memtest86+_multiboot.bin
Found Windows 7 (loader) on /dev/sda2
done
Setting up nvidia-settings (290.10-1) ...
Setting up nvidia-xconfig (290.10-1) ...
Setting up iproute (20111117-1) ...
Setting up brasero-common (3.2.0-3) ...
Setting up libbrasero-media3-1 (3.2.0-3) ...
Setting up libtracker-sparql-0.12-0 (0.12.7-2) ...
Setting up brasero (3.2.0-3) ...
Setting up libtotem0 (3.0.1-4) ...
Setting up totem-common (3.0.1-4) ...
Setting up totem (3.0.1-4) ...
Setting up totem-mozilla (3.0.1-4) ...
Setting up gir1.2-totem-1.0 (3.0.1-4) ...
Setting up totem-plugins (3.0.1-4) ...
Setting up grilo-plugins-0.1 (0.1.17-2) ...
Setting up linux-headers-3.1.0-1-common (3.1.1-1) ...
Setting up linux-kbuild-3.1 (3.1.1-2) ...
Setting up linux-headers-3.1.0-1-amd64 (3.1.1-1) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.1.0-1-amd64
dkms.conf: Error! No 'BUILT_MODULE_NAME' directive specified for record #0.
Error! Bad conf file.
File:
does not represent a valid dkms.conf file.
Setting up linux-headers-amd64 (3.1+41) ...
Setting up linux-headers-2.6-amd64 (3.1+41) ...
Setting up linux-image-amd64 (3.1+41) ...
Setting up linux-image-2.6-amd64 (3.1+41) ...
Setting up linux-libc-dev (3.1.1-1) ...
Setting up mobile-broadband-provider-info (20111113-1) ...
Processing triggers for menu ...
suicidejack
Level 1
Level 1
 
Posts: 7
Joined: Mon Nov 28, 2011 7:15 pm

Re: can't start LMDE in gnome mode

Postby xircon on Mon Dec 05, 2011 6:40 am

Looks like the nVidia drivers have not loaded for the new kernel, think you just have to reinstall, but I am an ATI/AMD user so can't be of much help, but one of the guys will jump in I am sure.
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
User avatar
xircon
Level 5
Level 5
 
Posts: 775
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: can't start LMDE in gnome mode

Postby gavinhc on Mon Dec 05, 2011 10:39 am

suicidejack wrote:I then updated my system like zerozero suggested (output is below) and then restarted my computer. After that I only get a text based log-in. I have restarted my computer several times and this keeps happening. Any advice here?

There is an issue with dkms in the recent upgrades of the Nvidia drivers where it doesn't properly compile the kernel module during an apt-get dist-upgrade. When I got the most recent kernel and Nividia upgrade and was dumped to text mode after reboot, I used the following command to get it working (found here on the Debian forums)
Code: Select all
dkms build -m nvidia -v <nvidia version> -k <kernel version>
dkms install -m nvidia -v <nvidia version> -k <kernel version>

So for you, you would want to use, assuming I'm reading everything right from your dist-upgrade output posted above:
Code: Select all
dkms build -m nvidia -v 290.10 -k 3.1.0-1-amd64
dkms install -m nvidia -v 290.10 -k 3.1.0-1-amd64
AMD Athlon II X4 630, 4 GB DDR3 RAM, Nvidia GeForce GT 430 - 64-bit LMDE (Gnome3) tracking testing, 64-bit Archlinux, 32-bit Windows XP
Aluminum Unibody MacBook - MacOS X 10.7 "Lion"
gavinhc
Level 2
Level 2
 
Posts: 82
Joined: Sat Oct 16, 2010 1:53 pm
Location: Canada

Re: can't start LMDE in gnome mode

Postby suicidejack on Tue Dec 06, 2011 7:44 pm

Perfect! That worked. Thanks everyone for getting this working.
suicidejack
Level 1
Level 1
 
Posts: 7
Joined: Mon Nov 28, 2011 7:15 pm

Re: can't start LMDE in gnome mode

Postby xircon on Tue Dec 06, 2011 7:48 pm

Can you mark as solved, edit title on first post and add it, glad it worked.
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
User avatar
xircon
Level 5
Level 5
 
Posts: 775
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Linux Mint is funded by ads and donations.
 

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: Dyfi and 4 guests